%define upstream_name    Text-Wrapper
%define upstream_version 1.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Simple word wrapping routine perl module
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Text::Wrapper provides simple word wrapping. It breaks long lines, but does 
not alter spacing or remove existing line breaks. If you're looking for more 
sophisticated text formatting, try the Text::Format module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README example
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.50.0-8.mga9
+ Revision: 1806470
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.50.0-7.mga8
+ Revision: 1497834
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.50.0-6.mga7
+ Revision: 1272283
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.50.0-5.mga6
+ Revision: 1035184
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.50.0-4.mga6
+ Revision: 935164
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.50.0-3.mga5
+ Revision: 745265
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.50.0-2.mga5
+ Revision: 686669
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 1.50.0-1.mga5
+ Revision: 588732
- update to 1.05

* Fri Oct 18 2013 umeabot <umeabot> 1.40.0-3.mga4
+ Revision: 515643
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-2.mga3
+ Revision: 374252
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.40.0-1.mga3
+ Revision: 255535
- update to 1.04

* Tue Jan 18 2011 jquelin <jquelin> 1.20.0-1.mga1
+ Revision: 22978
- cleaning spec file
- imported package perl-Text-Wrapper


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.20.0-1mdv2010.0
+ Revision: 406194
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.02-2mdv2009.0
+ Revision: 268855
- rebuild early 2009.0 package (before pixel changes)

* Tue May 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdv2009.0
+ Revision: 206827
- update to new version 1.02

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-2mdv2008.0
+ Revision: 90082
- rebuild

* Fri May 04 2007 Olivier Thauvin <nanardon@mandriva.org> 1.01-1mdv2008.0
+ Revision: 22170
- 1.01


* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.000-3mdk
- Fix SPEC according to Perl Policy
	- Source URL

* Tue Dec 27 2005 Michael Scherer <misc@mandriva.org> 1.000-2mdk
- Do not ship empty dir

* Sat Oct 01 2005 Michael Scherer <misc@mandriva.org> 1.000-1mdk
- First mandriva package

